## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 27
%bcond check 1
%global debug_package %{nil}

%global crate gstreamer

Name:           rust-gstreamer
Version:        0.23.6
Release:        %autorelease
Summary:        Rust bindings for GStreamer

License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/gstreamer
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * Update to ron 0.10
#   (https://gitlab.freedesktop.org/gstreamer/gstreamer-rs/-/commit/c8d752affc,
#   https://gitlab.freedesktop.org/gstreamer/gstreamer-rs/-/merge_requests/1718)
Patch:          gstreamer-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Rust bindings for GStreamer.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/COPYRIGHT
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+log-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+log-devel %{_description}

This package contains library source intended for building other packages which
use the "log" feature of the "%{crate}" crate.

%files       -n %{name}+log-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+serde-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde-devel %{_description}

This package contains library source intended for building other packages which
use the "serde" feature of the "%{crate}" crate.

%files       -n %{name}+serde-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+serde_bytes-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde_bytes-devel %{_description}

This package contains library source intended for building other packages which
use the "serde_bytes" feature of the "%{crate}" crate.

%files       -n %{name}+serde_bytes-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+v1_16-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+v1_16-devel %{_description}

This package contains library source intended for building other packages which
use the "v1_16" feature of the "%{crate}" crate.

%files       -n %{name}+v1_16-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+v1_18-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+v1_18-devel %{_description}

This package contains library source intended for building other packages which
use the "v1_18" feature of the "%{crate}" crate.

%files       -n %{name}+v1_18-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+v1_20-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+v1_20-devel %{_description}

This package contains library source intended for building other packages which
use the "v1_20" feature of the "%{crate}" crate.

%files       -n %{name}+v1_20-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+v1_22-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+v1_22-devel %{_description}

This package contains library source intended for building other packages which
use the "v1_22" feature of the "%{crate}" crate.

%files       -n %{name}+v1_22-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+v1_24-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+v1_24-devel %{_description}

This package contains library source intended for building other packages which
use the "v1_24" feature of the "%{crate}" crate.

%files       -n %{name}+v1_24-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+v1_26-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+v1_26-devel %{_description}

This package contains library source intended for building other packages which
use the "v1_26" feature of the "%{crate}" crate.

%files       -n %{name}+v1_26-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
# * skip a test that fails for the application/xml mimetype
%cargo_test -- -- --exact --skip typefind::tests::test_typefind_call_function
%endif

%changelog
## START: Generated by rpmautospec
* Sun May 18 2025 Fabio Valentini <decathorpe@gmail.com> - 0.23.6-1
- Update to version 0.23.6; Fixes RHBZ#2365894

* Tue Apr 22 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 0.23.5-3
- Update to ron 0.10

* Sun Apr 06 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 0.23.5-2
- Update to ron 0.9

* Mon Feb 24 2025 Fabio Valentini <decathorpe@gmail.com> - 0.23.5-1
- Update to version 0.23.5; Fixes RHBZ#2333660

* Sun Jan 19 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.23.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Wed Nov 06 2024 Fabio Valentini <decathorpe@gmail.com> - 0.23.3-1
- Update t oversion 0.23.3; Fixes RHBZ#2323200

* Sat Oct 05 2024 Fabio Valentini <decathorpe@gmail.com> - 0.23.2-1
- Update to version 0.23.2; Fixes RHBZ#2315423

* Wed Sep 18 2024 Fabio Valentini <decathorpe@gmail.com> - 0.23.1-1
- Update to version 0.23.1; Fixes RHBZ#2308233

* Tue Aug 13 2024 Fabio Valentini <decathorpe@gmail.com> - 0.23.0-1
- Update to version 0.23.0; Fixes RHBZ#2297841

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.22.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jun 21 2024 Fabio Valentini <decathorpe@gmail.com> - 0.22.6-1
- Update to version 0.22.6; Fixes RHBZ#2282980

* Tue Apr 16 2024 Fabio Valentini <decathorpe@gmail.com> - 0.22.4-1
- Update to version 0.22.4; Fixes RHBZ#2273988

* Wed Mar 27 2024 Fabio Valentini <decathorpe@gmail.com> - 0.22.3-1
- Update to version 0.22.3; Fixes RHBZ#2263347

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.21.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sat Jan 13 2024 Fabio Valentini <decathorpe@gmail.com> - 0.21.3-1
- Update to version 0.21.3; Fixes RHBZ#2249230

* Sat Oct 21 2023 Fabio Valentini <decathorpe@gmail.com> - 0.21.1-1
- Update to version 0.21.1; Fixes RHBZ#2241362

* Fri Sep 29 2023 Kalev Lember <klember@redhat.com> - 0.21.0-1
- Update to 0.21.0

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.20.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Fri Jul 07 2023 Fabio Valentini <decathorpe@gmail.com> - 0.20.7-1
- Update to version 0.20.7; Fixes RHBZ#2219776

* Mon Jun 12 2023 Fabio Valentini <decathorpe@gmail.com> - 0.20.6-1
- Update to version 0.20.6; Fixes RHBZ#2212915

* Tue May 02 2023 Fabio Valentini <decathorpe@gmail.com> - 0.20.5-1
- Update to version 0.20.5; Fixes RHBZ#2188790

* Wed Mar 15 2023 Fabio Valentini <decathorpe@gmail.com> - 0.20.3-1
- Update to version 0.20.3; Fixes RHBZ#2137029

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.18.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Aug 11 2022 Fabio Valentini <decathorpe@gmail.com> - 0.18.8-1
- Update to version 0.18.8; Fixes RHBZ#2071677

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.18.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Wed Mar 09 2022 Fabio Valentini <decathorpe@gmail.com> - 0.18.6-1
- Update to version 0.18.6; Fixes RHBZ#2061936

* Sun Feb 20 2022 Fabio Valentini <decathorpe@gmail.com> - 0.18.5-1
- Update to version 0.18.5; Fixes RHBZ#2056287

* Sun Feb 13 2022 Fabio Valentini <decathorpe@gmail.com> - 0.18.3-1
- Update to version 0.18.3; Fixes RHBZ#2041190

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.17.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Mon Sep 27 2021 Fabio Valentini <decathorpe@gmail.com> - 0.17.4-1
- Update to version 0.17.4; Fixes RHBZ#2003610

* Mon Aug 23 2021 Fabio Valentini <decathorpe@gmail.com> - 0.17.3-1
- Update to version 0.17.3; Fixes RHBZ#1996536

* Fri Aug 06 2021 Fabio Valentini <decathorpe@gmail.com> - 0.17.2-1
- Update to version 0.17.2; Fixes RHBZ#1990508

* Tue Aug 03 2021 Fabio Valentini <decathorpe@gmail.com> - 0.17.1-1
- Update to version 0.17.1; Fixes RHBZ#1977070

* Tue Jul 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.16.7-2
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed Mar 03 2021 Fabio Valentini <decathorpe@gmail.com> - 0.16.7-1
- Update to version 0.16.7.
- Fixes RHBZ#1928369

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.16.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Wed Nov 25 2020 Fabio Valentini <decathorpe@gmail.com> - 0.16.5-1
- Update to version 0.16.5.
- Remove features with broken dependencies.
- Fixes RHBZ#1900586

* Sun Oct 11 2020 Fabio Valentini <decathorpe@gmail.com> - 0.16.4-1
- Update to version 0.16.4.

* Wed Sep 09 2020 Josh Stone <jistone@redhat.com> - 0.16.3-1
- Update to 0.16.3

* Wed Aug 26 2020 Josh Stone <jistone@redhat.com> - 0.16.2-2
- Bump to paste 1.0

* Wed Jul 29 2020 Josh Stone <jistone@redhat.com> - 0.16.2-1
- Update to 0.16.2

* Fri Jul 10 2020 Josh Stone <jistone@redhat.com> - 0.16.1-1
- Update to 0.16.1

* Thu Jul 09 2020 Josh Stone <jistone@redhat.com> - 0.15.7-2
- Bump num-rational to 0.3

* Wed Jun 10 2020 Josh Stone <jistone@redhat.com> - 0.15.7-1
- Update to 0.15.7

* Sat May 30 2020 Josh Stone <jistone@redhat.com> - 0.15.6-1
- Update to 0.15.6

* Tue May 05 2020 Josh Stone <cuviper@gmail.com> - 0.15.5-1
- Update to 0.15.5

* Tue Mar 10 2020 Josh Stone <jistone@redhat.com> - 0.15.4-1
- Update to 0.15.4

* Thu Feb 20 2020 Josh Stone <jistone@redhat.com> - 0.15.3-1
- Update to 0.15.3

* Thu Jan 30 2020 Josh Stone <jistone@redhat.com> - 0.15.2-1
- Update to 0.15.2

* Thu Jan 23 2020 Josh Stone <jistone@redhat.com> - 0.15.1-1
- Update to 0.15.1

* Thu Jan 16 2020 Josh Stone <jistone@redhat.com> - 0.15.0-1
- Update to 0.15.0

* Tue Dec 10 2019 Josh Stone <jistone@redhat.com> - 0.14.5-1
- Update to 0.14.5

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.13.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Wed May 15 10:19:08 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.13.0-2
- Update serde_bytes to 0.11

* Sun May 05 15:46:49 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.13.0-1
- Initial package

## END: Generated by rpmautospec
